CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
TextFormField Class Reference

Generator for text input fields. More...

Inheritance diagram for TextFormField:
[legend]
Collaboration diagram for TextFormField:
[legend]

## Setup/Initialization
| TextFormField ($Name, $IsRequired, $Label, $Length, $MaxLength, $ValidFunc=NULL, $ValidMsgs=NULL)
| Object Constructor.

## Accessors
| Length ($NewVal=NULL)
| Get or set the display length for this field.
| MaxLength ($NewVal=NULL)
| Get or set the maximum input length for this field.

## Display
| PrintInput ($DisplayErrorIndicator=FALSE)
| Generate HTML for this object.

## Additional Inherited Members
Public Member Functions inherited from FormField
| FormField ($Name, $IsRequired, $Label, $ValidFunc, $ValidMsgs)
| Object Constructor.
| Name ($NewVal=NULL)
| Get or set Name (internal name for id=)
| IsRequired ($NewVal=NULL)
| Get/set IsRequired.
| Label ($NewVal=NULL)
| Get or set the Label (display name in generated HTML)
| Value ($NewVal=NULL)
| Get or set the field's value.
| IsPassword ()
| Determine if this field is a password fild.
| PrintField ($DisplayErrorIndicator=FALSE)
| Print the label and generate input tags for this object.
| PrintLabel ($DisplayErrorIndicator=FALSE)
| Print the label for this field without generating the input tags.
| IsInvalidValue ($Value)
| Check the validity of the field's value.
| GetInvalidValueMessage ($ErrorCode)
| Map an error code from IsInvalidValue to an error message.
Protected Attributes inherited from FormField
| $MyName
| $MyIsRequired
| $MyLabel
| $MyValue
| $MyValidFunc
| $MyValidMsgs

## Detailed Description

Generator for text input fields.

Definition at line 8 of file TextFormField.php.

## Member Function Documentation

TextFormField::Length | ( |  | $NewVal = `NULL` | ) |

Get or set the display length for this field.

Parameters

  NewVal | (OPTIONAL)

Returns
  The current length

Definition at line 46 of file TextFormField.php.

TextFormField::MaxLength | ( |  | $NewVal = `NULL` | ) |

Get or set the maximum input length for this field.

Parameters

  NewVal | (OPTIONAL)

Returns
  The current max input length

Definition at line 53 of file TextFormField.php.

TextFormField::PrintInput | ( |  | $DisplayErrorIndicator = `FALSE` | ) |

Generate HTML for this object.

Parameters

  DisplayErrorIndicator | (OPTIONAL)

Definition at line 64 of file TextFormField.php.

TextFormField::TextFormField | ( |  | $Name,
|  |  | $IsRequired,
|  |  | $Label,
|  |  | $Length,
|  |  | $MaxLength,
|  |  | $ValidFunc = `NULL`,
|  |  | $ValidMsgs = `NULL`
| ) |  |

Object Constructor.

Parameters

  Name | internal name for this field, used in html id=
  IsRequired |
  Label | display name for this field, shown to user
  Length | Length of the display box
  MaxLength | The maximum allowed entry size
  ValidFunc | A function to check this field for valid input (OPTIONAL)
  ValidMsgs | An array of error messages which should correspond to the error codes issued by ValidFunc (OPTIONAL)

Definition at line 26 of file TextFormField.php.

References FormField\FormField().

Referenced by PasswordFormField\PasswordFormField().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- objects/TextFormField.php